012-09-26 15:29:05 ServletHandler [WARN] /ws/UserService
java.lang.NullPointerException
        at javax.servlet.GenericServlet.getServletName(GenericServlet.java:322)
        at javax.servlet.GenericServlet.log(GenericServlet.java:277)
        at cc.kune.core.server.rack.filters.gwts.DelegatedRemoteServlet.log(DelegatedRemoteServlet.java:101)
        at
com.googlecode.gwtrpccommlayer.server.GwtRpcCommLayerServlet.executePojoRequest(GwtRpcCommLayerServlet.java:272)
        at
com.googlecode.gwtrpccommlayer.server.GwtRpcCommLayerServlet.doServicePojoRequest(GwtRpcCommLayerServlet.java:214)
        at com.googlecode.gwtrpccommlayer.server.GwtRpcCommLayerServlet.service(GwtRpcCommLayerServlet.java:155)
        at cc.kune.core.server.rack.filters.gwts.GWTServiceFilter.doFilter(GWTServiceFilter.java:57)
        at cc.kune.core.server.rack.RackServletFilter$DockChain.execute(RackServletFilter.java:82)
        at cc.kune.core.server.rack.RackServletFilter$DockChain.doFilter(RackServletFilter.java:75)
        at com.google.inject.servlet.FilterChainInvocation.doFilter(FilterChainInvocation.java:66)
        at cc.kune.core.server.persist.CustomPersistFilter.doFilter(CustomPersistFilter.java:100)
        at com.google.inject.servlet.FilterDefinition.doFilter(FilterDefinition.java:163)
        at com.google.inject.servlet.FilterChainInvocation.doFilter(FilterChainInvocation.java:58)
        at cc.kune.core.server.persist.CustomPersistFilter.doFilter(CustomPersistFilter.java:100)
        at com.google.inject.servlet.FilterDefinition.doFilter(FilterDefinition.java:163)
        at com.google.inject.servlet.FilterChainInvocation.doFilter(FilterChainInvocation.java:58)
        at com.google.inject.servlet.ManagedFilterPipeline.dispatch(ManagedFilterPipeline.java:118)
        at com.google.inject.servlet.GuiceFilter.doFilter(GuiceFilter.java:113)
        at cc.kune.core.server.rack.RackServletFilter$DockChain.execute(RackServletFilter.java:82)
        at cc.kune.core.server.rack.RackServletFilter$DockChain.doFilter(RackServletFilter.java:75)
        at cc.kune.core.server.rack.RackServletFilter.doFilter(RackServletFilter.java:117)
        at org.eclipse.jetty.servlet.ServletHandler$CachedChain.doFilter(ServletHandler.java:1338)
        at org.eclipse.jetty.servlet.ServletHandler.doHandle(ServletHandler.java:484)
        at org.eclipse.jetty.server.handler.ScopedHandler.handle(ScopedHandler.java:119)
        at org.eclipse.jetty.security.SecurityHandler.handle(SecurityHandler.java:524)
        at org.eclipse.jetty.server.session.SessionHandler.doHandle(SessionHandler.java:231)
        at org.eclipse.jetty.server.handler.ContextHandler.doHandle(ContextHandler.java:1065)
        at org.eclipse.jetty.servlet.ServletHandler.doScope(ServletHandler.java:413)
        at org.eclipse.jetty.server.session.SessionHandler.doScope(SessionHandler.java:192)
        at org.eclipse.jetty.server.handler.ContextHandler.doScope(ContextHandler.java:999)
        at org.eclipse.jetty.server.handler.ScopedHandler.handle(ScopedHandler.java:117)
        at org.eclipse.jetty.server.handler.HandlerWrapper.handle(HandlerWrapper.java:111)
        at org.eclipse.jetty.server.Server.handle(Server.java:350)
        at org.eclipse.jetty.server.AbstractHttpConnection.handleRequest(AbstractHttpConnection.java:454)
        at org.eclipse.jetty.server.AbstractHttpConnection.headerComplete(AbstractHttpConnection.java:890)
        at org.eclipse.jetty.server.AbstractHttpConnection$RequestHandler.headerComplete(AbstractHttpConnection.java:944)
        at org.eclipse.jetty.http.HttpParser.parseNext(HttpParser.java:637)
        at org.eclipse.jetty.http.HttpParser.parseAvailable(HttpParser.java:230)
        at org.eclipse.jetty.server.AsyncHttpConnection.handle(AsyncHttpConnection.java:77)
        at org.eclipse.jetty.io.nio.SelectChannelEndPoint.handle(SelectChannelEndPoint.java:620)
        at org.eclipse.jetty.io.nio.SelectChannelEndPoint$1.run(SelectChannelEndPoint.java:46)
        at org.eclipse.jetty.util.thread.QueuedThreadPool.runJob(QueuedThreadPool.java:603)
        at org.eclipse.jetty.util.thread.QueuedThreadPool$3.run(QueuedThreadPool.java:538)
        at java.lang.Thread.run(Thread.java:636)

Associated revisions
Revision ec77a660 - 09/27/2012 02:07 PM - Vicente J. Ruiz Jurado

NPE in GenericServlet (partial #356)

Revision b6fac8d7 - 10/11/2012 12:47 AM - Vicente J. Ruiz Jurado

CLOSED - task #356: NPE in GenericServlet.java
http://redmine.comunes.org/issues/show/356

History
#1 - 10/11/2012 12:43 AM - Vicente J. Ruiz Jurado
- Status changed from New to Closed
- % Done changed from 0 to 100

Here a possible solution
http://java.dzone.com/articles/how-do-cross-domain-gwt-rpc
